
#--------------------------------------------------------------------------
#  Copyright 2012 Taro L. Saito
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#--------------------------------------------------------------------------

PREFIX:=${HOME}/local
INSTALL:=install

.PHONY: all install archive

all: 
	@echo "Run make install"

# program package name
PROG:=vars-queryparsing

# VERSION file will be generated after 'sbt pack'. This file contains 'version' variable
include VERSION

PROG_BASE_DIR:=$(PREFIX)/$(PROG)
PROG_DIR:=$(PROG_BASE_DIR)/$(PROG)-$(version)

archive: target/$(PROG)-$(version).tar.gz

target/$(PROG)-$(version).tar.gz:
	-mkdir -p $(@D)
	tar --exclude=target/* -cvzf $@ .

install:
	@echo "Clean up $(PROG_DIR)/lib folder"
	if [ -d "$(PROG_DIR)/lib" ]; then rm -rf "$(PROG_DIR)/lib"; fi
	$(INSTALL) -d "$(PROG_DIR)"
	cp -pr ./* "$(PROG_DIR)"
	ln -sfn "$(PROG)-$(version)" "$(PROG_BASE_DIR)/current"
	$(INSTALL) -d "$(PREFIX)/bin"
	ln -sf "../$(PROG)/current/bin/add-image-size-app" "$(PREFIX)/bin/add-image-size-app"
	ln -sf "../$(PROG)/current/bin/calculate-actual-areas-app" "$(PREFIX)/bin/calculate-actual-areas-app"
	ln -sf "../$(PROG)/current/bin/canadian-grid-area-app" "$(PREFIX)/bin/canadian-grid-area-app"
	ln -sf "../$(PROG)/current/bin/extract_distance.py" "$(PREFIX)/bin/extract_distance.py"
	ln -sf "../$(PROG)/current/bin/extract-distance-app" "$(PREFIX)/bin/extract-distance-app"
	ln -sf "../$(PROG)/current/bin/unique-annotations-app" "$(PREFIX)/bin/unique-annotations-app"
	ln -sf "../$(PROG)/current/bin/add-local-time-app" "$(PREFIX)/bin/add-local-time-app"
	ln -sf "../$(PROG)/current/bin/organize-substrates-app" "$(PREFIX)/bin/organize-substrates-app"
	ln -sf "../$(PROG)/current/bin/canadian-grid-distance-app" "$(PREFIX)/bin/canadian-grid-distance-app"
	ln -sf "../$(PROG)/current/bin/add-identity-ref-key-app" "$(PREFIX)/bin/add-identity-ref-key-app"
	ln -sf "../$(PROG)/current/bin/canadian-grid-measurement-app" "$(PREFIX)/bin/canadian-grid-measurement-app"
	ln -sf "../$(PROG)/current/bin/fetch-pngs-app" "$(PREFIX)/bin/fetch-pngs-app"
	ln -sf "../$(PROG)/current/bin/add-runtime-app" "$(PREFIX)/bin/add-runtime-app"
	ln -sf "../$(PROG)/current/bin/trim-area-measurements-app" "$(PREFIX)/bin/trim-area-measurements-app"
